手机浏览 RSS 2.0 订阅 膘叔的简单人生 , 腾讯云RDS购买 | 超便宜Qcloud , 注册 | 登陆

Cannot find OpenSSL's <evp.h>

首页 > 苹果相关 >

在使用苹果的brew install homebrew/php/php55的时候提示 Cannot find OpenSSL's <evp.h>,官方建议查看https://github.com/homebrew/homebrew-php/issues,看一下,第二条就是。

在内容里有人回复,加个参数 吧。。brew install phpxx --with-brewed-openssl,但不幸的是,仍然报上述错误,这时候有人回复了一下,你先装个commandtools吧

XML/HTML代码
  1. @Anei Wasn't sure which one, but I think this one did the trick:  
  2.   
  3. Yep, installing the Command Line tools directly from Apple did the trick:  
  4. "Command Line Tools (OS X 10.10) for Xcode - Xcode 6.1.1" (169.94 MB)
  5.   
  6. I didn't think that was a solution as I had went into the App Store update and I was "up to date" with the command line tools. Thanks / feel free to close.  

点击下载、安装。再brew install,一切顺利解决!

 




本站采用创作共享版权协议, 要求署名、非商业和保持一致. 本站欢迎任何非商业应用的转载, 但须注明出自"膘叔", 保留原始链接, 此外还必须标注原文标题和链接.

« 上一篇 | 下一篇 »

发表评论

评论内容 (必填):